summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorThomas Vander Stichele <thomas@apestaart.org>2002-03-02 12:01:32 +0000
committerThomas Vander Stichele <thomas@apestaart.org>2002-03-02 12:01:32 +0000
commit09c87262ef25445032c92b0f7ed4b5e133673022 (patch)
tree79f905cdf3d80a757d814beac8f64c342b2b5027 /autogen.sh
parent61acbe704f9dcde224e542d07a62eda9e7e5c423 (diff)
Good luck with this one ;) converted to using getopt dropped autogen- prefix from autogen options since options for c...
Original commit message from CVS: Good luck with this one ;) converted to using getopt dropped autogen- prefix from autogen options since options for configure can now be given after putting -- on the cmd line added with-autoconf and with-automake to help michael out this all needs some testing plus a few changes in other modules as well
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh17
1 files changed, 9 insertions, 8 deletions
diff --git a/autogen.sh b/autogen.sh
index 0949f45b8..3f14a9954 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -25,11 +25,11 @@ fi
autogen_options $@
echo -n "+ check for build tools"
-if test ! -z $NOCHECK; then echo " skipped"; else echo; fi
-version_check "autoconf" "ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 52 || DIE=1
-version_check "automake" "ftp://ftp.gnu.org/pub/gnu/automake/" 1 5 || DIE=1
-version_check "libtool" "ftp://ftp.gnu.org/pub/gnu/libtool/" 1 4 0 || DIE=1
-version_check "pkg-config" "http://www.freedesktop.org/software/pkgconfig" 0 8 0 || DIE=1
+if test ! -z $NOCHECK; then echo ": skipped version checks"; else echo; fi
+version_check "autoconf" "$AUTOCONF" "ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 52 || DIE=1
+version_check "automake" "$AUTOMAKE" "ftp://ftp.gnu.org/pub/gnu/automake/" 1 5 || DIE=1
+version_check "libtool" "" "ftp://ftp.gnu.org/pub/gnu/libtool/" 1 4 0 || DIE=1
+version_check "pkg-config" "" "http://www.freedesktop.org/software/pkgconfig" 0 8 0 || DIE=1
die_check $DIE
@@ -61,14 +61,15 @@ tool_run "autoheader"
# touch the stamp-h.in build stamp so we don't re-run autoheader in maintainer mode -- wingo
echo timestamp > stamp-h.in 2> /dev/null
-tool_run "autoconf"
-tool_run "automake" "-a -c"
+tool_run "$autoconf"
+debug "automake: $automake"
+tool_run "$automake" "-a -c"
echo
echo "+ running autogen.sh in libs/ext/cothreads..."
pushd libs/ext/cothreads > /dev/null
echo
-./autogen.sh --autogen-noconfigure --autogen-nocheck || {
+./autogen.sh --noconfigure --nocheck || {
echo "autogen in cothreads failed."
exit 1
}